%define upstream_name    Regexp-DefaultFlags
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Set default flags on regular expressions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildArch: noarch

%description
When this module is 'use''d, it causes regexes in the current namespace to
act as if the '/xms' flags had been applied to them.

See the perlre manpage for more details and caveats on these flags.

If an argument is passed to the 'use' statement, the module uses the flags
specified in that argument instead of '/xms'. The replacement flags can be
specified in any of the following ways:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-8.mga6
+ Revision: 1032801
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.10.0-7.mga6
+ Revision: 937457
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.10.0-6.mga6
+ Revision: 937010
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 740531
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 686099
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 514358
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 372299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 15 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 71627
- imported package perl-Regexp-DefaultFlags


* Tue Mar 15 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
